import { provideGlobalConfig } from "element-plus";

export default {
  common: {
    search: 'Search',
    reset: 'Reset',
    add: 'Add',
    edit: 'Edit',
    delete: 'Delete',
    operations: 'Operations',
    confirm: 'Confirm',
    cancel: 'Cancel',
    error: 'Error',
    success: 'Success',
    warning: 'Warning',
    deleteConfirm: 'Are you sure to delete?',
    deleteSuccess: 'Delete successful'
  },
  login: {
    title: 'System Login',
    username: 'Username',
    password: 'Password',
    submit: 'Login',
    usernameRequired: 'Please input username',
    passwordRequired: 'Please input password',
    success: 'Login successful',
    error: 'Login failed'
  },
  domain: {
    title: 'Domain Management',
    add: 'Add Domain',
    search: {
      domain: 'Domain',
      domainPlaceholder: 'Please enter domain'
    },
    table: {
      domain: 'Domain',
      originDomain: 'Origin Domain',
      ssl: 'SSL',
      type: 'Record Type',
      status: 'Status',
      createTime: 'Create Time'
    },
    status: {
      active: 'Active',
      inactive: 'Inactive',
      error: 'Error'
    },
    form: {
      addDomain: 'Add Domain',
      Domain: 'Domain',
      accelerateDomain: 'Accelerate Domain',
      originSite: 'Origin Site',
      dispatchStrategy: 'Dispatch Strategy',
      region: 'Region',
      weight: 'Weight',
      description: 'Description',
      provider: 'Provider',
      providerPlaceholder: 'Please select provider',
      factor: 'Factor',
      startTime: 'Start Timea',
      endTime: 'End Time',
      dataBackUp: 'Data Back Up',
      domainPlaceholder: 'Please enter domain',
      originSitePlaceholder: 'Please enter origin site',
      strategyPlaceholder: 'Please select dispatch strategy',
      regionPlaceholder: 'Please select region',
      selectDate: 'Select Date',
      providerPlaceholder: 'Please select provider',
      factorPlaceholder: 'Please enter factor',
      startTimePlaceholder: 'Please select start time',
      endTimePlaceholder: 'Please select end time',
      dateBackUpPlaceholder: 'Please select date back up',
      providerConfig: 'Provider Config',
      selectProvider: 'Please select provider',

    },
    type: {
      a: 'A Record',
      cname: 'CNAME Record',
      mx: 'MX Record'
    },
    rules: {
      domainRequired: 'Please enter domain',
      domainFormat: 'Invalid domain format',
      typeRequired: 'Please select record type'
    }
  },
  user: {
    title: 'User Management',
    search: {
      name: 'Username',
      namePlaceholder: 'Please input username',
      status: 'Status',
      statusPlaceholder: 'Please select status'
    },
    table: {
      name: 'Username',
      email: 'Email',
      status: 'Status'
    },
    status: {
      0: 'Disabled',
      1: 'Enabled'
    }
  },
  dashboard: {
    totalUsers: 'Total Users',
    totalOrders: 'Total Orders',
    totalSales: 'Total Sales',
    satisfaction: 'Satisfaction',
    salesTrend: 'Sales Trend',
    userDistribution: 'User Distribution',
    productRanking: 'Product Ranking',
    sales: 'Sales',
    visits: 'Visits',
    week: 'Week',
    month: 'Month',
    year: 'Year',
    newUsers: 'New Users',
    activeUsers: 'Active Users',
    inactiveUsers: 'Inactive Users',
    domainCount: 'Domain Count',
    currentMonthTraffic: 'Current Month Traffic',
    cacheRate: 'Cache Rate',
    lastMonthTraffic: 'Last Month Traffic',
    trafficAnalysis: 'Traffic Analysis',
    traffic: 'Traffic',
    requests: 'Requests',
    bandwidth: 'Bandwidth',
    qps: 'QPS',
    last24h: 'Last 24h',
    last7d: 'Last 7d',
    last30d: 'Last 30d',
    dataIndicator: 'Data Indicator',
    realTimeDataIn24Hours: 'Real Time Data In 24 Hours',
    trendIn7Days: 'Trend In 7 Days',
    trendIn30Days: 'Trend In 30 Days',
    realTime: 'Real Time',
    weekly: 'Weekly',
    monthly: 'Monthly',
    year: 'Yearly',
    peakBandwidth: 'Peak Bandwidth',
    trafficTrend: 'Traffic Trend',
    requestCount: 'Request Count',
    peakQPS: 'Peak QPS',
    cancel: 'Cancel',
    confirm: 'Confirm',

  },
  certificate: {
    title: 'Certificate Management',
    add: 'Add Certificate',
    search: {
      certificate: 'Certificate',
      certificatePlaceholder: 'Please enter certificate name',
      status: 'Status',
      statusPlaceholder: 'Please select status'
    },
    table: {
      Host: 'Host',
      expiresOn: 'Expires On',
      type: 'Type',
      status: 'Status',
      bindDomainsTotal: 'Bound Domains'
    },
    status: {
      active: 'Valid',
      inactive: 'Invalid',
      error: 'Error',
      expired: 'Expired',
      expiring: 'Expiring Soon'
    },
    form: {
      addCertificate: 'Add Certificate',
      updateCertificate: 'Update Certificate',
      host: 'Host',
      hostPlaceholder: 'Please enter host',
      certificateType: 'Certificate Type',
      certificateContent: 'Certificate Content',
      privateKey: 'Private Key',
      uploadCertificate: 'Upload Certificate',
      uploadPrivateKey: 'Upload Private Key'
    },
    messages: {
      uploadSuccess: 'Upload successful',
      updateSuccess: 'Update successful',
      deleteSuccess: 'Delete successful',
      deleteConfirm: 'Are you sure to delete this certificate?'
    }
  },
  statistics: {
    dataIndicator: 'Data Indicator',
    domain: 'Domain',
    equal: 'Equal',
    notEqual: 'Not Equal',
    greaterThan: 'Greater Than',
    lessThan: 'Less Than',
    startTime: 'Start Time',
    endTime: 'End Time',
    rangeSeparator: 'To',
    export: 'Export',
    cacheRate: 'Cache Rate',
    countryDistribution: 'Country Distribution',
    statusCodeDistribution: 'Status Code Distribution',
    hostnameDistribution: 'Hostname Distribution',
    cacheStatus: 'Cache Status',
    requests: 'Requests',
    peakBandwidth: 'Peak Bandwidth',
    traffic: 'Traffic',
    qps: 'QPS',
    optionalValue: 'Optional Value'
  },
  refresh: {
    submitRefreshTask: 'Submit Refresh Task',
    submitPreheatTask: 'Submit Preheat Task',
    urlAddress: 'URL Address',
    pleaseEnterTheURLAddressToBeRefreshed: 'Please enter the URL address to be refreshed, multiple addresses please separate by line breaks',
    pleaseEnterTheURLAddressToBePreheated: 'Please enter the URL address to be preheated, multiple addresses please separate by line breaks',
    cancel: 'Cancel',
    confirm: 'Confirm',
    refreshType: 'Refresh Type',
    directory: 'Directory',
    file: 'File',
    operation: 'Operation',
    stop: 'Stop',
    completeTime: 'Complete Time',
    progress: 'Progress',
    taskDescription: 'Task Description',
    submitTime: 'Submit Time',
    taskStatus: 'Task Status',
    taskStatusPending: 'Pending',
    taskStatusRunning: 'Running',
    taskStatusCompleted: 'Completed',
    taskStatusFailed: 'Failed',
    taskStatusStopped: 'Stopped',
    taskStatusCanceled: 'Canceled',
    taskStatusPaused: 'Paused',
    taskStatusQueued: 'Queued',
    taskStatusProcessing: 'Processing',
    taskStatusCompletedWithErrors: 'Completed With Errors',
    taskStatusCompletedWithWarnings: 'Completed With Warnings',
    cacheRefresh: 'Cache Refresh',
    cacheRefreshDescription: 'By refreshing the cache, the cached files on the edge node will be forcibly cleared, and the latest version of these files will be obtained when accessed again.',
    cacheRefreshTime: 'After submitting the refresh, the node will usually complete the cache refresh in 30 seconds to 10 minutes.',
    cacheRefreshWarning: 'Note: This operation will delete the cached files from the edge node, please confirm before proceeding to avoid accidental operation.',
    refreshContent: 'Refresh Content',
    resubmit: 'Resubmit',
    filePreheat: 'File Preheating',
    submitRefresh: 'Submit Refresh',
    filePreheatDescription: 'By preheating files, the files can be cached on the edge node in advance, and the edge node can deliver content to users more quickly when users access.',
    filePreheatHelp: 'File preheating also helps to relieve the pressure on the source server, avoiding high load on the source server when a large number of users access new resources.',
    filePreheatTime: 'The preheating time is related to the number and size of files, which may take several minutes to several hours (reference time: about 3000-5000 files per hour).',
    status: 'Status',
    submitPreheat: 'Submit Preheat',
    preheatDescription: 'Preheat Description',
    refreshDescription: 'Refresh Description',

  },
  system: {
    title: 'Admin System'
  },
  menu: {
    dashboard: 'Dashboard',
    user: 'User',
    domain: 'Domain',
    addDomain: 'Add Domain',
    certificate: 'Certificate',
    addCertificate: 'Add Certificate',
    statistics: 'Statistics',
    refresh: 'Refresh',
    account: 'Account'
  },
  navbar: {
    language: 'Language',
    logout: 'Logout',
    logoutConfirm: 'Are you sure to logout?',
    tip: 'Tip',
  }
} 