export default {
  common: {
    search: '搜索',
    reset: '重置',
    add: '添加',
    edit: '编辑',
    delete: '删除',
    operations: '操作',
    confirm: '确定',
    cancel: '取消',
    error: '错误',
    success: '成功',
    warning: '警告',
    deleteConfirm: '确定要删除吗？',
    deleteSuccess: '删除成功'
  },
  login: {
    title: '系统登录',
    username: '用户名',
    password: '密码',
    submit: '登录',
    usernameRequired: '请输入用户名',
    passwordRequired: '请输入密码',
    success: '登录成功',
    error: '登录失败'
  },
  domain: {
    title: '域名管理',
    add: '添加域名',
    search: {
      domain: '域名',
      domainPlaceholder: '请输入域名'
    },
    table: {
      domain: '域名',
      originDomain: '源站',
      ssl: 'SSL/TLS',
      type: 'CNAME地址',
      status: '状态',
      createTime: '创建时间'
    },
    status: {
      active: '已启用',
      inactive: '未启用',
      error: '异常'
    },
    form: {
      addDomain: '添加域名',
      Domain: '域名',
      accelerateDomain: '加速域名',
      originSite: '源站',
      dispatchStrategy: '调度策略',
      region: '区域',
      weight: '权重',
      description: '描述',
      provider: '提供商',
      providerPlaceholder: '请选择提供商',
      factor: '因子',
      factorPlaceholder: '请输入因子',
      startTime: '开始时间',
      startTimePlaceholder: '请选择开始时间',
      endTime: '结束时间',
      endTimePlaceholder: '请选择结束时间',
      dateBackUp: '日期备份',
      dateBackUpPlaceholder: '请选择日期备份',
      domainPlaceholder: '请输入域名',
      originSitePlaceholder: '请输入源站',
      strategyPlaceholder: '请选择调度策略',
      regionPlaceholder: '请选择区域',
      selectDate: '请选择日期',
      providerConfig: '提供商配置',
      dataBackUp: '数据备份',
      selectProvider: '请选择提供商'
    },
    type: {
      a: 'A记录',
      cname: 'CNAME记录',
      mx: 'MX记录'
    },
    rules: {
      domainRequired: '请输入域名',
      domainFormat: '域名格式不正确',
      typeRequired: '请选择记录类型'
    }
  },
  user: {
    title: '用户管理',
    search: {
      name: '用户名',
      namePlaceholder: '请输入用户名',
      status: '状态',
      statusPlaceholder: '请选择状态'
    },
    table: {
      name: '用户名',
      email: '邮箱',
      status: '状态'
    },
    status: {
      0: '禁用',
      1: '启用'
    }
  },
  dashboard: {
    domainCount: '域名数量',
    currentMonthTraffic: '本月流量（截止今日）',
    cacheRate: '缓存率（近24小时）',
    lastMonthTraffic: '上月流量',
    trafficAnalysis: '流量分析',
    trafficTrend: '流量趋势',
    requestCount: '请求数趋势',
    peakBandwidth: '峰值带宽',
    peakQPS: '峰值QPS',
    traffic: '流量',
    requests: '请求数',
    bandwidth: '带宽',
    qps: 'QPS',
    last24h: '近24小时',
    last7d: '近7天',
    last30d: '近30天',
    dataIndicator: '数据指标',
    realTimeDataIn24Hours: '近24小时实时数据',
    trendIn7Days: '近7天趋势',
    trendIn30Days: '近30天趋势',
    realTime: '实时',
    weekly: '周度',
    monthly: '月度',
    year: '年度',
    peakBandwidth: '峰值带宽',
    trafficTrend: '流量趋势',
    requestCount: '请求数趋势',
    peakQPS: '峰值QPS',
    cancel: '取消',
    confirm: '确定',
  },
 
  system: {
    title: '后台管理系统'
  },
  menu: {
    dashboard: '首页',
    domain: '域名管理',
    addDomain: '添加域名',
    statistics: '统计分析',
    refresh: '刷新预热',
    certificate: '证书管理',
    account: '账号设置',
  },
  navbar: {
    language: '切换语言',
    logout: '退出登录',
    logoutConfirm: '确认退出系统吗？',
    tip: '提示',
  },
  certificate: {
    title: '证书管理',
    add: '添加证书',
    search: {
      certificate: '证书',
      certificatePlaceholder: '请输入证书名称',
      status: '状态',
      statusPlaceholder: '请选择状态'
    },
    table: {
      Host: '主机名',
      expiresOn: '过期时间',
      type: '证书类型',
      status: '证书状态',
      bindDomainsTotal: '绑定域名数'
    },
    status: {
      active: '有效',
      inactive: '无效',
      error: '异常',
      expired: '已过期',
      expiring: '即将过期'
    },
    form: {
      addCertificate: '添加证书',
      updateCertificate: '更新证书',
      host: '主机名',
      hostPlaceholder: '请输入主机名',
      certificateType: '证书类型',
      certificateContent: '证书内容',
      privateKey: '私钥',
      uploadCertificate: '上传证书',
      uploadPrivateKey: '上传私钥'
    },
    messages: {
      uploadSuccess: '上传成功',
      updateSuccess: '更新成功',
      deleteSuccess: '删除成功',
      deleteConfirm: '确定要删除此证书吗？'
    }
  },
  statistics: {
    dataIndicator: '数据指标',
    domain: '域名',
    equal: '等于',
    notEqual: '不等于',
    greaterThan: '大于',
    lessThan: '小于',
    startTime: '开始时间',
    endTime: '结束时间',
    rangeSeparator: '至',
    export: '导出',
    cacheRate: '缓存命中率',
    countryDistribution: '国家分布',
    statusCodeDistribution: '状态码分布',
    hostnameDistribution: '主机名分布',
    cacheStatus: '缓存状态',
    requests: '请求数',
    peakBandwidth: '峰值带宽',
    traffic: '流量',
    qps: 'QPS',
    optionalValue: '可选值'
  },
  refresh: {
    submitRefreshTask: '提交刷新任务',
    submitPreheatTask: '提交预热任务',
    urlAddress: 'URL地址',
    pleaseEnterTheURLAddressToBeRefreshed: '请输入需要刷新的URL地址，多个地址请换行分隔',
    pleaseEnterTheURLAddressToBePreheated: '请输入需要预热的URL地址，多个地址请换行分隔',
    cancel: '取消',
    confirm: '确认',
    refreshType: '刷新类型',
    directory: '目录',
    file: '文件',
    operation: '操作',
    stop: '停止',
    completeTime: '完成时间',
    progress: '进度',
    taskDescription: '任务描述',
    submitTime: '提交时间',
    taskStatus: '任务状态',
    taskStatusPending: '待执行',
    taskStatusRunning: '执行中',
    taskStatusCompleted: '已完成',
    taskStatusFailed: '失败',
    taskStatusStopped: '已停止',
    taskStatusCanceled: '已取消',
    taskStatusPaused: '已暂停',
    taskStatusQueued: '已排队',
    taskStatusProcessing: '处理中',
    taskStatusCompletedWithErrors: '已完成（部分失败）',
    taskStatusCompletedWithWarnings: '已完成（部分警告）',
    cacheRefresh: '缓存刷新',
    cacheRefreshDescription: '通过刷新缓存，能够强制将边缘节点上已缓存的文件清除掉，再次访问时会从源站服务器中重新获取这些文件的最新版本。',
    cacheRefreshTime: '提交刷新后，通常节点会在30秒至10分钟不等完成刷新缓存。',
    cacheRefreshWarning: '注意：该操作会将已缓存文件从边缘节点删除掉，请确认后再进行操作，避免误操作。',
    refreshContent: '刷新内容',
    resubmit: '重新提交',
    filePreheat: '文件预热',
    submitRefresh: '提交刷新',
    filePreheatDescription: '通过文件预热，能够提前将文件缓存在边缘节点上，当用户发起访问时，边缘节点能够更快速的将内容交付给用户。',
    filePreheatHelp: '文件预热还有助于缓解源站压力，避免大量用户访问新资源时，源站负载过高。',
    filePreheatTime: '预热所需时间与文件数量和大小相关，可能在数分钟到数小时不等（参考时长：每小时可预热约3000-5000个文件）',
    status: '状态',
    submitPreheat: '提交预热',
    preheatDescription: '预热说明',
    refreshDescription: '刷新说明',
  },
  account: {
    title: '账号设置',
  }
} 