import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import i18n from './i18n'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import { ArrowDown, User, Goods, List, Connection, Odometer,DataLine,RefreshRight,Document, } from '@element-plus/icons-vue'

const app = createApp(App)

// 注册必要的图标
const icons = { ArrowDown, User, Goods, List, Odometer, Connection,DataLine,RefreshRight,Document}
for (const [key, component] of Object.entries(icons)) {
  app.component(key, component)
}

// 全局错误处理
app.config.errorHandler = (err, vm, info) => {
  console.error('Global Error:', err, info)
}

app.use(router)
   .use(i18n)
   .use(ElementPlus)
   .mount('#app')
